#
# spec file for package welle-io
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%if 0%{?gcc_version} < 8
%define with_gcc 8
%endif
Name:           welle-io
Version:        2.5~20240904.268a4d2
Release:        1699.4.pm.9
Summary:        Receiver for DAB and DAB+ broadcast radio
License:        GPL-2.0-or-later
Group:          Productivity/Multimedia/Other
URL:            https://www.welle.io/
Source0:        %{name}-%{version}.tar.xz
Patch0:         base_dir.patch
BuildRequires:  airspy-devel
BuildRequires:  alsa-devel
BuildRequires:  cmake
BuildRequires:  fftw-devel
BuildRequires:  flac-devel
BuildRequires:  gcc%{?with_gcc}-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  libfaad-devel
BuildRequires:  libmp3lame-devel
BuildRequires:  mpg123-devel
BuildRequires:  qt6-charts-devel
BuildRequires:  qt6-multimedia-devel
BuildRequires:  qt6-quickcontrols2-devel
BuildRequires:  rtl-sdr-devel
BuildRequires:  soapy-sdr-devel
BuildRequires:  xdg-utils
Requires:       qt6-charts-imports
Requires:       qt6-multimedia-imports
Requires:       qt6-qt5compat-imports

%description
Receive digital audio broadcasts with your computer: welle.io is an open source
DAB and DAB+ software defined radio (SDR) with direct support for RTL-SDR and
other SDR hardware through SoapySDR. It supports high DPI and touch displays and
it runs even on cheap computers.

%package -n welle-cli
Summary:        Receiver for DAB and DAB+ broadcast radio: command line tool
Group:          Productivity/Multimedia/Other

%description -n welle-cli
Receive digital audio broadcasts with your computer: welle.io is an open source
DAB and DAB+ software defined radio (SDR) with direct support for RTL-SDR and
other SDR hardware through SoapySDR.

This package contains the welle-cli command line tool that does not need GUI

%prep
%setup -q
%patch -P 0 -p1

%build
%if 0%{?with_gcc}
export CXX=g++-%{with_gcc}
export CC=gcc-%{with_gcc}
%endif
%cmake -DSOAPYSDR=1 -DRTLSDR=1 -DAIRSPY=1 -DFLAC=1 -DGIT_DESCRIBE=%{version}
%cmake_build

%check
%if 0%{?with_gcc}
export CXX=g++-%{with_gcc}
export CC=gcc-%{with_gcc}
%endif
%ctest

%install
%cmake_install

%files
%license COPYING
%{_bindir}/welle-io
%{_datadir}/applications/welle-io.desktop
%{_datadir}/icons/hicolor/*/apps/welle-io.png
%{_datadir}/welle-io
%{_datadir}/metainfo
%{_mandir}/man1/welle-io.1%{?ext_man}
%doc README.md AUTHORS THANKS

%files -n welle-cli
%{_bindir}/welle-cli
%{_mandir}/man1/welle-cli.1%{?ext_man}

%changelog
* Sat Sep 14 2024 Fridrich Strba <fridrich.strba@bluewin.ch>
- Added patch:
  * base_dir.patch
    + implement an option to specify the location of index.html and
    index.js files.
* Fri Sep 13 2024 Fridrich Strba <fridrich.strba@bluewin.ch>
- Build with stdc++17 capable compiler for <filesystem> include
* Thu Sep 12 2024 Fridrich Strba <fridrich.strba@bluewin.ch>
- Update to latest git snapshot
  * Added FLAC support
* Thu Sep 12 2024 Fridrich Strba <fridrich.strba@bluewin.ch>
- Enable alsa support for a functioning welle-cli
* Mon Nov 20 2023 Fridrich Strba <fridrich.strba@bluewin.ch>
- Initial packaging of welle.io from the 'next' branch
